Patchwork [8/9] util-linux: Upgrade to util-linux 2.22

login
register
mail settings
Submitter Christian Rasmussen
Date Oct. 9, 2012, 2:40 p.m.
Message ID <10748412439e5c2c7c6301959d72386a5606cc70.1349790798.git.chor@prevas.dk>
Download mbox | patch
Permalink /patch/190343/
State Accepted
Delegated to: Esben Haabendal
Headers show

Comments

Christian Rasmussen - Oct. 9, 2012, 2:40 p.m.
---
 .../uuidd-unofficial-api-backward-compat.patch     |   16 ----------------
 recipes/util-linux/util-linux_2.20.oe              |    8 --------
 recipes/util-linux/util-linux_2.20.oe.sig          |    1 -
 recipes/util-linux/util-linux_2.22.oe              |    7 +++++++
 recipes/util-linux/util-linux_2.22.oe.sig          |    1 +
 5 files changed, 8 insertions(+), 25 deletions(-)
 delete mode 100644 recipes/util-linux/util-linux-2.20/uuidd-unofficial-api-backward-compat.patch
 delete mode 100644 recipes/util-linux/util-linux_2.20.oe
 delete mode 100644 recipes/util-linux/util-linux_2.20.oe.sig
 create mode 100644 recipes/util-linux/util-linux_2.22.oe
 create mode 100644 recipes/util-linux/util-linux_2.22.oe.sig

Patch

diff --git a/recipes/util-linux/util-linux-2.20/uuidd-unofficial-api-backward-compat.patch b/recipes/util-linux/util-linux-2.20/uuidd-unofficial-api-backward-compat.patch
deleted file mode 100644
index b34851a..0000000
--- a/recipes/util-linux/util-linux-2.20/uuidd-unofficial-api-backward-compat.patch
+++ /dev/null
@@ -1,16 +0,0 @@ 
---- util-linux-2.20/libuuid/src/uuid.h~orig	2011-10-04 22:41:23.037624048 +0200
-+++ util-linux-2.20/libuuid/src/uuid.h	2011-10-04 22:43:14.107624061 +0200
-@@ -81,6 +81,13 @@
- void uuid_generate_time(uuid_t out);
- int uuid_generate_time_safe(uuid_t out);
- 
-+/* Although never part of the official API, the
-+ * uuid__generate_{random,time} functions are used in at least
-+ * e2fsprogs, so these two macros provides backward compatibility for
-+ * now. */
-+#define uuid__generate_time(out, num) __uuid_generate_time(out, num)
-+#define uuid__generate_random(out, num) __uuid_generate_random(out, num)
-+
- /* isnull.c */
- int uuid_is_null(const uuid_t uu);
- 
diff --git a/recipes/util-linux/util-linux_2.20.oe b/recipes/util-linux/util-linux_2.20.oe
deleted file mode 100644
index ee1c408..0000000
--- a/recipes/util-linux/util-linux_2.20.oe
+++ /dev/null
@@ -1,8 +0,0 @@ 
-# -*- mode:python; -*-
-LICENSE = "GPL-3.0+ & GPL-2.0+ & GPL-2.0 & LGPL-2.0+ & BSD-4-Clause-UC*"
-
-require util-linux.inc
-
-# Add define for backwards compatibility with old and unofficial function
-# calls available until 2.19. Used by at least e2fsprogs.
-SRC_URI += "file://uuidd-unofficial-api-backward-compat.patch"
diff --git a/recipes/util-linux/util-linux_2.20.oe.sig b/recipes/util-linux/util-linux_2.20.oe.sig
deleted file mode 100644
index 7aef370..0000000
--- a/recipes/util-linux/util-linux_2.20.oe.sig
+++ /dev/null
@@ -1 +0,0 @@ 
-e8cd2c8e968cdbdc097d82cceaf15d536e0254c1  util-linux-2.20.tar.bz2
diff --git a/recipes/util-linux/util-linux_2.22.oe b/recipes/util-linux/util-linux_2.22.oe
new file mode 100644
index 0000000..b1d707f
--- /dev/null
+++ b/recipes/util-linux/util-linux_2.22.oe
@@ -0,0 +1,7 @@ 
+# -*- mode:python; -*-
+LICENSE = "GPL-3.0+ & GPL-2.0+ & GPL-2.0 & LGPL-2.0+ & BSD-4-Clause-UC*"
+
+require util-linux.inc
+
+
+EXTRA_OECONF_PAM = " --disable-login --disable-su"
diff --git a/recipes/util-linux/util-linux_2.22.oe.sig b/recipes/util-linux/util-linux_2.22.oe.sig
new file mode 100644
index 0000000..d6506eb
--- /dev/null
+++ b/recipes/util-linux/util-linux_2.22.oe.sig
@@ -0,0 +1 @@ 
+fdabf80d3104a0d61455d31d74f0de629fa926a6  util-linux-2.22.tar.bz2